import axios from "../../../config/axios";
import { DepositTransferType, PaymentType } from "../types/WalletTypes";

export const getGetWays = async () => {
  const { data } = await axios.get(`/payments/gateways`);
  return data;
};

export const getWalletBalance = async () => {
  const { data } = await axios.get(`/wallets/balance`);
  return data;
};

export const payment = async (params: PaymentType) => {
  const { data } = await axios.post(`/payments/deposit/gateway`, params);
  return data;
};

export const getBankAccount = async () => {
  const { data } = await axios.get(`/payments/bank-account`);
  return data;
};

export const depositTransfer = async (params: DepositTransferType) => {
  const { data } = await axios.post(`/payments/deposit/transfer`, params);
  return data;
};
